Subject: Fwd: [PATCH] gnu: renpy: fix image reference paths.

From: Jesse Gibbons <[email-masked]>
Date: Sat, 29 Jul 2023 10:39:22 -0600

I have not been able to verify that this was sent other than that my 
mail client says it was. I sent a follow-up that I can verify actually 
was received and should make more sense after reading this.

-------- Forwarded Message --------
Subject: 	Re: [PATCH] gnu: renpy: fix image reference paths.
Date: 	Sat, 29 Jul 2023 10:12:11 -0600
From: 	Jesse Gibbons <[email-masked]>
To: 	Liliana Marie Prikler <[email-masked]>, 
[email-masked]

On 7/29/23 08:32, Liliana Marie Prikler wrote:
> Am Freitag, dem 28.07.2023 um 18:42 -0600 schrieb Jesse Gibbons:
>> Guix,
>>
>> The current version of renpy has errors when generating a basic
>> project due to a substitution in the `drop-game-from-paths` phase
>> that changes too much. Attached is a patch that fixes this problem.
> Could you do a comparison of 'tree' when invoked on a game created with
> unpatched renpy vs. patched renpy?

Is this to prove that the patch fixes a problem? Ok.

`guix time-machine --commit=3bb3fddb5c6e79056172e5858cdc0ee0b6b8cfaa -- 
shell --pure renpy -- renpy-launcher`

The launcher window pops up. I click "create new project" and call it 
"vanilla". I go with all the defaults. It reports an error in the 
attached screenshot.

In a clone of the repository, I check out 
3bb3fddb5c6e79056172e5858cdc0ee0b6b8cfaa and apply the most recent 
patch. I also make sure the last line of 
gnu/packages/game-development.scm is renpy.

`guix shell --pure -f gnu/packages/game-development.scm -- renpy-launcher`

A window pops up. I click "create new project" and call it "chocolate". 
I go with all the defaults. The window does not report an error.

In the directory I set renpy to put all the projects, I run
`diff --recursive chocolate/ vanilla/ | tee generated-dir-differences.diff`

The output is attached. Is there anything else you want me to do before 
you accept the patch?

-- 
-Jesse Gibbons
Only in chocolate/game: audio
Only in chocolate/game: cache
Only in chocolate/game/gui: bar
Only in chocolate/game/gui: bubble.png
Only in chocolate/game/gui/button: check_foreground.png
Only in chocolate/game/gui/button: check_selected_foreground.png
Only in chocolate/game/gui/button: hover_background.png
Only in chocolate/game/gui/button: idle_background.png
Only in chocolate/game/gui/button: radio_foreground.png
Only in chocolate/game/gui/button: radio_selected_foreground.png
Only in chocolate/game/gui/button: slot_hover_background.png
Only in chocolate/game/gui/button: slot_idle_background.png
Only in chocolate/game/gui/phone: bar
Only in chocolate/game/gui/phone/button: check_foreground.png
Only in chocolate/game/gui/phone/button: check_selected_foreground.png
Only in chocolate/game/gui/phone/button: hover_background.png
Only in chocolate/game/gui/phone/button: idle_background.png
Only in chocolate/game/gui/phone/button: radio_foreground.png
Only in chocolate/game/gui/phone/button: radio_selected_foreground.png
Only in chocolate/game/gui/phone/button: slot_hover_background.png
Only in chocolate/game/gui/phone/button: slot_idle_background.png
Only in chocolate/game/gui/phone: scrollbar
Only in chocolate/game/gui/phone: slider
Only in chocolate/game/gui: scrollbar
Only in chocolate/game/gui: slider
Only in chocolate/game/gui: thoughtbubble.png
Only in chocolate/game: gui.rpy
Only in chocolate/game: gui.rpyc
Only in chocolate/game: images
Only in chocolate/game: log.txt
Only in chocolate/game: options.rpy
Only in chocolate/game: options.rpyc
Only in chocolate/game: saves
Only in chocolate/game: screens.rpy
Only in chocolate/game: screens.rpyc
Only in chocolate/game: script.rpy
Only in chocolate/game: script.rpyc
Only in chocolate/game: tl